## org.codehaus.groovy.grails.validation
Interface VetoingConstraint

All Superinterfaces:
  Constraint

All Known Implementing Classes:
  AbstractVetoingConstraint, BlankConstraint, NullableConstraint

    public interface VetoingConstraint

extends Constraint

Marker interface for vetoing constraint.

Vetoing constraints are those which might return 'true' from validateWithVetoing method to prevent any additional validation of the property. These constraints are proceeded before any other constraints, and validation continues only if no one of vetoing constraint hadn't vetoed.

Author:
  Sergey Nebolsin ()

Method Summary
`boolean` `validateWithVetoing(Object target, Object propertyValue, Errors errors)`

Methods inherited from interface org.codehaus.groovy.grails.validation.Constraint
`getName, getPropertyName, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate`

Method Detail

### validateWithVetoing

    boolean validateWithVetoing(Object target,
                                Object propertyValue,
                                Errors errors)

Copyright (c) 2005-2009 The Grails project